if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database -q usr/share/applications/kde
fi

if [ -r usr/share/icons/hicolor/icon-theme.cache ]; then
  usr/bin/gtk-update-icon-cache -t -f -q usr/share/icons/hicolor
fi

( cd usr/lib ; rm -rf libkipiplugins.so )
( cd usr/lib ; ln -sf libkipiplugins.so.1 libkipiplugins.so )
( cd usr/lib ; rm -rf libkipiplugins.so.1 )
( cd usr/lib ; ln -sf libkipiplugins.so.1.0.0 libkipiplugins.so.1 )
